Subject: Re: fonts and .xinitrc
From: Brian Inglis <[email-masked]>
To: [email-masked]
Date: Wed, 16 Mar 2022 14:33:37 -0600
List-Id: General Cygwin discussions and problem reports <cygwin.cygwin.com>

On 2022-03-15 06:27, send junk wrote:
> I hope I am using this list as it is intended to be used.  My name is Mark, and I have been using Cygwin for as long as I can remember (maybe 20 years now?).   I have only used X11 in Cygwin sporadically, and am having trouble getting a few things to work that I think should be fairly common.  I’ve been researching the FAQs and docs and stacks and forums and Googles and so on, and progress has been quite slow.
> 
> For example, when I run xinit and include a .xinitrc file in my home directory, it seems to immediately crash.    Also, fonts seem to be an issue for me now, requiring an xft: prefix to get working (which took me most of the day yesterday to finally hack back to some level of functionality).
> 
> When I try to run cfg.py (which is just a program to create a visual control flow graph for a given Python program), all the text is “blanked out” with boxes.    I am theorizing that this is related to the graphviz library not being compatible with the new definitions of fonts.
> 
> Trying to debug this, I ran a “hello world”  for tkinter, and the default font was basically just a few pixels high (very small on my 4K monitor).   Also, the default font is unreadably small.   I have to choose enormous in the default window manager to see anything.
> 
> I’ve looked at the docs on initialization and configuration for both Cygwin and Linux in general (which I’m also quite rusty on), but cannot seem to get anything to work.   My next plan is to revert to older versions to see what worked in the past.   (I think the last time I really used X in Cygwin rxvt could run without launching X which from the docs seems to be maybe a decade or two ago? Lol.)  I have a string of laptops starting from when I designed graphics chips for Compaq  in the 80’s, so I have a bit of history all set up to easily remember how I worked with startup files, etc., previously.

Install package xinit and some packages matching "fonts" from:

	unifont-fonts urw-base35-fonts{,-legacy}
	ghostscript-fonts-other gnu-free-fonts
	{liberation,linux-libertine}-fonts
	{alef,bitstream-vera,dejavu,fontawesome,inconsolata,tinos}-fonts
	{caladea,cantarell,carlito,cousine,culmus}-fonts
	{overpass,oxygen,sj,symbola}-fonts
	noto-fonts-common
	adobe-source-{code,sans,serif}-pro-font

I just execute a shortcut (at Windows login) which runs:

C:\...\cygwin64\bin\run.exe --quote /usr/bin/bash.exe -l \
				-c "cd; exec /usr/bin/startxwin"
[split for clarity]

-- 
Take care. Thanks, Brian Inglis, Calgary, Alberta, Canada

This email may be disturbing to some readers as it contains
too much technical detail. Reader discretion is advised.
[Data in binary units and prefixes, physical quantities in SI.]

-- 
Problem reports:      https://cygwin.com/problems.html
FAQ:                  https://cygwin.com/faq/
Documentation:        https://cygwin.com/docs.html
Unsubscribe info:     https://cygwin.com/ml/#unsubscribe-simple